import {Component, Input} from "@angular/core";
import {NgForOf} from "@angular/common";
import {TagComponent} from "./tag.component";
import {
  AbstractControl,
  ControlContainer,
  FormArray,
  FormControl,
  FormGroupDirective,
  Validators
} from "@angular/forms";


@Component({
  selector: 'app-add-tag',
  standalone: true,
  template: `
  `,
  viewProviders: [
    {
      provide: ControlContainer,
      useExisting: FormGroupDirective
    }
  ],
  imports: [
    NgForOf,
    TagComponent
  ]
})
export class AddTagComponent {

  @Input()
  form!: FormArray;

  addTag() {
    this.form.push(new FormControl('', [Validators.required]));
  }

  deleteTag(id: AbstractControl) {
    this.form.removeAt(this.form.controls.indexOf(id));
  }
}
