import {Component, inject} from "@angular/core";
import {Hotel} from "./hotel";
import {HotelService} from "../service/hotel.service";
import {EditHotelComponent} from "./edit-hotel.component";


@Component({
  selector: "app-create-hotel",
  standalone: true,
  imports: [
    EditHotelComponent
  ],
  template: `
    <app-edit-hotel (updateHotel)="create($event)"></app-edit-hotel>
  `
})
export class CreateHotelComponent {

  hotelService: HotelService = inject(HotelService);

  create(hotel: Hotel) {
    this.hotelService.createHotel(hotel).subscribe()
  }
}
