import {Component, EventEmitter, Input, Output} from "@angular/core";
import {AbstractControl, ControlContainer, FormGroupDirective, ReactiveFormsModule} from "@angular/forms";
import {JsonPipe} from "@angular/common";


@Component({
  standalone: true,
  selector: 'app-tag',
  imports: [
    ReactiveFormsModule,
    JsonPipe
  ],
  viewProviders: [
    {
      provide: ControlContainer,
      useExisting: FormGroupDirective
    }
  ],
  template: `
  `
})
export class TagComponent {

  @Input()
  tagElement!: AbstractControl;

  @Output()
  deleteEvent: EventEmitter<AbstractControl> = new EventEmitter();

  delete() {
    this.deleteEvent.emit(this.tagElement);
  }
}
