import {HttpClient} from "@angular/common/http";
import {inject, Injectable} from "@angular/core";
import {Observable} from "rxjs";
import {Hotel} from "../hotel/hotel";

@Injectable({
  providedIn: "root",
})
export class HotelService {
  private httpClient: HttpClient = inject(HttpClient);

  public getHotels(): Observable<Hotel[]> {
    return this.httpClient.get<Hotel[]>('/api/hotels');
  }

  public getHotelById(id: number): Observable<Hotel> {
    return this.httpClient.get<Hotel>(`/api/hotels/${id}`);
  }

  public updateHotelById(hotel: Hotel): Observable<Object> {
    return this.httpClient.put<Hotel>(`/api/hotels/${hotel.id}`, hotel)
  }

  public createHotel(hotel: Hotel): Observable<Hotel> {
    return this.httpClient.post<Hotel>(`/api/hotels`, hotel)
  }

  public deleteById(id: number): Observable<Hotel> {
    return this.httpClient.delete<Hotel>(`/api/hotels/${id}`);
  }
}
